# frozen_string_literal: true
class AddRules < ActiveRecord::Migration
  def change
    create_table :rules do |table|
      table.string :type, null: false
      table.string :enforced_type, null: false, default: :string
      table.string :enforced_value
      table.string :observed_field, null: false
      table.string :comparison_operator, null: false, default: '='
      table.integer :<%= options.owned_by %>_id, index: true
      table.integer :rule_set_id, null: false, index: true
    end
  end
end
